class CircleOptions {
  double? latitude;

  double? longitude;

  double? radius;

  String? strokeColor;

  String? fillColor;

  double? strokeWidth;

  bool? visible;

  CircleOptions({
    this.latitude,
    this.longitude,
    this.radius,
    this.strokeColor,
    this.fillColor,
    this.strokeWidth,
    this.visible,
  });

  Map<String, dynamic> toJson() {
    return {
      'latitude': latitude,
      'longitude': longitude,
      'radius': radius,
      'strokeColor': strokeColor,
      'fillColor': fillColor,
      'strokeWidth': strokeWidth,
      'visible': visible,
    };
  }

  factory CircleOptions.fromJson(Map<String, dynamic> map) {
    return CircleOptions(
      latitude: map['latitude'],
      longitude: map['longitude'],
      radius: map['radius'],
      strokeColor: map['strokeColor'],
      fillColor: map['fillColor'],
      strokeWidth: map['strokeWidth'],
      visible: map['visible'],
    );
  }
}
